Bug 591476 - srp_daemon expects srp_daemon.conf in /etc, however srptools installs it in /etc/ofed
srp_daemon expects srp_daemon.conf in /etc, however srptools installs it in /...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: srptools (Show other bugs)
6.0
All Linux
low Severity high
: rc
: ---
Assigned To: Doug Ledford
Gurhan Ozen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-12 07:08 EDT by Justin Clift
Modified: 2013-11-03 20:59 EST (History)
2 users (show)

See Also:
Fixed In Version: srptools-0.0.4-8.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 17:04:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for srp_daemon.sh, so it finds the configuration file at the installed location. (573 bytes, patch)
2010-05-12 07:14 EDT, Justin Clift
no flags Details | Diff

  None (edit)
Description Justin Clift 2010-05-12 07:08:06 EDT
Description of problem:

The srp_daemon program as installed by srptools in RHEL 6 beta doesn't work. :(

When starting the srp_daemon.sh program, it prints warning messages every 30 seconds complaining about a missing configuration file.  Unfortunately, when it can't find this configuration file it doesn't then load the storage that's available to it.  (even though the config file should be optional)

The "missing" configuration file is installed by srptools, but in a different location than expected by srp_daemon.

**************************

12/04/10 20:08:04 : Could not find rules file /etc/srp_daemon.conf
12/04/10 20:08:34 : Could not find rules file /etc/srp_daemon.conf
12/04/10 20:08:34 : Could not find rules file /etc/srp_daemon.conf
12/04/10 20:09:04 : Could not find rules file /etc/srp_daemon.conf
12/04/10 20:09:04 : Could not find rules file /etc/srp_daemon.conf
12/04/10 20:09:34 : Could not find rules file /etc/srp_daemon.conf
12/04/10 20:09:34 : Could not find rules file /etc/srp_daemon.conf
12/04/10 20:10:04 : Could not find rules file /etc/srp_daemon.conf
12/04/10 20:10:04 : Could not find rules file /etc/srp_daemon.conf
12/04/10 20:10:34 : Could not find rules file /etc/srp_daemon.conf
12/04/10 20:10:34 : Could not find rules file /etc/srp_daemon.conf
12/04/10 20:11:04 : Could not find rules file /etc/srp_daemon.conf
12/04/10 20:11:04 : Could not find rules file /etc/srp_daemon.conf

**************************


Version-Release number of selected component (if applicable):

srptools-0.0.4-7.el6.x86_64


How reproducible:

Every time.


Steps to Reproduce:
1. sudo srp_daemon.sh &
2. tail -40f /var/log/srp_daemon.log  (in another terminal window)
3. sudo fdisk -l (as a simple test to see if any more disk luns have appeared on the system)


Actual results:

The srp_daemon program isn't finding the srp_daemon.conf file, which then doesn't proceed with loading any luns.

$ rpm -ql srptools
/etc/ofed/srp_daemon.conf    <-- This is where the config file is actually being installed
/usr/sbin/ibsrpdm
/usr/sbin/run_srp_daemon
/usr/sbin/srp_daemon
/usr/sbin/srp_daemon.sh
/usr/share/doc/srptools-0.0.4
/usr/share/doc/srptools-0.0.4/COPYING
/usr/share/doc/srptools-0.0.4/ChangeLog
/usr/share/doc/srptools-0.0.4/NEWS
/usr/share/doc/srptools-0.0.4/README
/usr/share/man/man1/ibsrpdm.1.gz
/usr/share/man/man1/srp_daemon.1.gz
$


Expected results:

The srp_daemon program should find the configuration file, and then load the disk luns being presented to the server.


Additional info:

This can be fixed by changing the srp_daemon.sh script to use the /etc/ofed/srp_daemon.conf location.  Patch attached.
Comment 1 Justin Clift 2010-05-12 07:14:47 EDT
Created attachment 413398 [details]
Patch for srp_daemon.sh, so it finds the configuration file at the installed location.
Comment 3 RHEL Product and Program Management 2010-05-12 09:17:39 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 4 Doug Ledford 2010-05-26 01:02:41 EDT
The configuration file was moved to /etc/srp_daemon.conf in srptools-0.0.4-8.el6.
Comment 5 releng-rhel@redhat.com 2010-11-10 17:04:07 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.